%define name ttfonts
%define version 1.3
%define release 8mdk

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Summary: free True Type Fonts
Group: System/Fonts/True type 
Source:  ttfonts-%{PACKAGE_VERSION}.tar.bz2
Source1: fonts-ttf-west_european-fonts.dir.bz2
Source2: fonts-ttf-decoratives-fonts.dir.bz2
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root
Requires: chkfontpath >= 1.4.1

%description
This package is a collection of free True Type Fonts.

%package -n fonts-ttf-west_european
Summary: free True Type Fonts (west eruopean charset)
Group: System/Fonts/True type
Obsoletes: ttfonts
Requires: chkfontpath >= 1.4.1
%description -n fonts-ttf-west_european
This package is a collection of free True Type Fonts.

%package -n fonts-ttf-decoratives
Summary: free True Type Fonts (decoratives)
Group: System/Fonts/True type
Requires: chkfontpath >= 1.4.1
%description -n fonts-ttf-decoratives
This package is a collection of free True Type Fonts.

%prep
%setup -n ttfonts 

%build

%install
# iso8858-{1,15} and ascii-0 fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/ttf/western
# decorative fonts, quite improper for normal use
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/ttf/decoratives

# white space in names aren't a good idea
mv "beast wars.ttf" beast_wars.ttf
mv "beast wars.txt" beast_wars.txt

mkdir western
for i in Adventure Bluehigb Bluehigc Bluehigh a_d_mono babelfish \
	dirtydoz fudd larabief 
do
  install -m444 $i.ttf $RPM_BUILD_ROOT/usr/share/fonts/ttf/western
  cp $i.txt western || :
done 
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/share/fonts/ttf/western/fonts.dir
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/share/fonts/ttf/western/fonts.scale


mkdir decoratives
for i in CaptainPodd actionis bazaroni beast_wars betadance betsy binary \
	brandnew creature davis demon densmore dienasty \
	distortia edgewater electroh eli5.0- embargo2 fadgod failed \
	fakerece flubber fontrstc goldengi hydrogen ikarrg ikart \
	ikarv independ indigo
do
  install -m444 $i.ttf $RPM_BUILD_ROOT/usr/share/fonts/ttf/decoratives
  cp $i.txt decoratives || :
done
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/fonts/ttf/decoratives/fonts.dir
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/fonts/ttf/decoratives/fonts.scale

cp bluehigh.txt contourgenerator.txt western/
cp betsy.readme.txt decoratives/


%clean
rm -rf $RPM_BUILD_ROOT

%files -n fonts-ttf-west_european
%defattr (-,root,root)
%doc western/*
%dir /usr/share/fonts/ttf/western
/usr/share/fonts/ttf/western/*.ttf
%config /usr/share/fonts/ttf/western/fonts.scale
%config /usr/share/fonts/ttf/western/fonts.dir

%files -n fonts-ttf-decoratives
%defattr (-,root,root)
%doc decoratives/*
%dir /usr/share/fonts/ttf/decoratives
/usr/share/fonts/ttf/decoratives/*.ttf
%config /usr/share/fonts/ttf/decoratives/fonts.dir
%config /usr/share/fonts/ttf/decoratives/fonts.scale

%post -n fonts-ttf-west_european
/usr/sbin/chkfontpath -q -a /usr/share/fonts/ttf/western

%postun -n fonts-ttf-west_european
if [ "$1" = "0" ];then
/usr/sbin/chkfontpath -q -r /usr/share/fonts/ttf/western
fi

%post -n fonts-ttf-decoratives
/usr/sbin/chkfontpath -q -a /usr/share/fonts/ttf/decoratives

%postun -n fonts-ttf-decoratives
if [ "$1" = "0" ];then
/usr/sbin/chkfontpath -q -r /usr/share/fonts/ttf/decoratives
fi

%changelog
* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-8mdk
- removed useless stuff from %%post

* Mon Oct  9 2000 dam's <damien@mandrakesoft.com> 1.3-7mdk
- don't install uggly fonts in charset 8859-15

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3-6mdk
- fix group for 7.1

* Tue Jan 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- the Requires: must be written in aall %package sections...

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- split the fonts in two rpm packages: those usable for west
  european typesetting; and those purely decoratives.
- improved %post scripts
- made better fonts.dir files

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %description lang.

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a dependences to perlftlib.
- Add a fonts.dir.

* Thu Apr 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix typo spec.
- post and postun scripts to run with chkfontpath
- moving /usr/ttfonts to /usr/X11R6/lib/X11/fonts/ttfonts/
- It's quite stable, we update to 1.0.
- Update the Requires section.
- Add a mkfontdir for chkfontpath.

* Fri Apr 27 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
